Carolina - 1.3

For talk and support relating specifically to Puppy derivatives
Message
Author
can8v
Posts: 586
Joined: Sat 15 Jul 2006, 08:20
Location: Yuba City, CA
Contact:

#1156 Post by can8v »

@Geoffry
Last night I installed XBMC 12.3 Frodo on my Nexus 7 tablet 2013 edition. That very well may be the the highest performing 7 inch tablet and outperforms 99% of 10 inch tablets (according to many reviews and benchmark test results I read prior to making my choice). The performance was still lack luster and not as good as XBMC on my Core Duo Dell Inspiron with 4GB RAM from 2008 running on Carolina. I used the Android APK file available from XBMC.org website, as it is not available in the Google Play Store. The installation was super easy, as is all Android app installs. Everything appears to work. I was able to use the built in Samba client when setting up the media library, to load the library with content from my Carolina media server. In about 15 minutes using my 802.11N WiFi network and 3/Mbs broadband XBMC 12.3 on my Android table was able to catalog and scrape data and images from TVdb and TMdb for my 340 movies and almost 200 TV episodes. That is only a little slower than it took on my laptop running Carolina. Not bad for a handheld device. Then came the slow part. One of the truly impressive aspects of XBMC IMO is the display of the library, constantly changing the background and foreground images to match the current selection being hovered over. IMO that is spectacular and beats the text based menus of DLNA renderers hands down. On the Nexus 7 however, this was a bit lackluster. Problem one was that with a touch screen instead of a mouse there is no hover effect, as soon as you touch the screen you get the result of a click event. It just doesn't work as well, but still far superior to something like Media House or DK DLNA (popular DLNA renderers on Android and the only other option for viewing the media on my Carolina media server that I am aware of.) I do have access to my wifes RK802ii Android device and a wireless Logitech keyboard with glide pad. I decided to give it a go even though I thought this device would be a little under powered for this type of app. The install went fine and creating the library only too marginally more time than the Nexus 7, but I had the wonderful hover effects back. Unfortunately I was right this device can barely play full screen video with mx Player, which uses far less resources. When I play videos using XBMC they are choppy and the audio gets significantly out of sync with the video. I only played around with it for about 45 minutes between the two devices, but I saw nothing in version 12.3 that made me go "Oh my Word we have to get this running on Carolina". With version 13, so close to release, maybe we should just skip the 12 series altogether. Does anybody have any experience with version 12.3 that would indicate that it is a gem of an app that we shouldn't miss out on or that it has some amazing feature that version 11 did not? I certainly saw some differences, but nothing mind blowing. Maybe after I spend some more time in XMBC on my Nexus 7 I will change my mind.

User avatar
Geoffrey
Posts: 2355
Joined: Sun 30 May 2010, 08:42
Location: Queensland

#1157 Post by Geoffrey »

@can8v

I left a PM for you with a link to minidlna-1.1.0_static, that works for me on a clean boot, where the old version shows in the browser but the file count is 0
[b]Carolina:[/b] [url=http://smokey01.com/carolina/pages/recent-repo.html]Recent Repository Additions[/url]
[img]https://dl.dropboxusercontent.com/s/ahfade8q4def1lq/signbot.gif[/img]

can8v
Posts: 586
Joined: Sat 15 Jul 2006, 08:20
Location: Yuba City, CA
Contact:

#1158 Post by can8v »

Geoffrey wrote:@ can8v

I see you have MiniDLNA server control in /etc/init.d, could you please post your script, the one I found online didn't work, I'll look at making a configuration GUI for MiniDLNA that should make things a little easier for noobs.

I still have it working ok, it's very strange that you are having so much trouble with it, then I have loads of pets installed so as you say it maybe missing something, I'll have to try from a fresh install, can anyone else confirm whether or not it has a problem.
Geoffry,
Happy to provide that script, it was created by the pet package "minidlna-1.0.22-1.pet" which shinobar posted to the forum Jun 5, 2012.

Code: Select all

#!/bin/sh
#
# minildna       minidlna starter
#
# chkconfig: - 88 12
# description: MiniDLNA (aka ReadyDLNA) is server software\
# with the aim of being fully compliant with DLNA/UPnP-AV clients.
# processname: minidlna
# config: /etc/$PROGBASE.conf
#
# minildna starter for puppy linux
# 10 Oct 2010 by shinobar <shino@pos.to>
#  4 Jan 2012 shinobar: auto mount

PROGBASE=minidlna
PROG="/usr/sbin/$PROGBASE"
CONF="/etc/$PROGBASE.conf"
DBDIR="/tmp/$PROGBASE"
MYPID=$$

# Check conf exists.
[ -s "$CONF" ] || exit 0

reset_db() {
	rm -fr "$DBDIR"
}
mount_shared() {
	SHARED=$(grep '^[^#]*media_dir[ ]*=[ ]*/mnt/' $CONF | tail -n 1 | cut -d'=' -f2)
	[ "$SHARED" ] || return
	PART=$(echo $SHARED | cut -d'/' -f3)
	mount| grep -q "^/dev/$PART[ ]" && return
	FS=$(probepart|grep "^/dev/$PART|"| cut -d'|' -f2)
	[ "$FS" ] || return
	MOUNTOPT=""
	case $FS in
		ntfs)	MOUNTOPT="-o $IDOPT"
		;;
		vfat)	NLS_PARAM=""
		if [ -f /etc/codepage ]; then #100127...
			grep -q -i '850' /etc/codepage && [ "$(echo $LANG|cut -d'.' -f1)" != "en_US" ] && NLS_PARAM=",codepage=850"
			grep -q -i '852' /etc/codepage && NLS_PARAM=",codepage=852,iocharset=iso8859-2"
		fi
		MOUNTOPT="-o shortname=mixed,quiet$NLS_PARAM,utf8,$IDOPT"
		;;
	esac
	mkdir -p  /mnt/$PART
	echo "mount $MOUNTOPT -t $FS /dev/$PART /mnt/$PART" >&2
	mount $MOUNTOPT -t $FS /dev/$PART /mnt/$PART
}

start() {
	[ -x $PROG ] || exit 0
	[ -f $CONF ] || exit 0
	mount_shared
	#wait until IP up
	CONNECTED=""
	for I in $(seq 6); do
	  IFES=$(ifconfig | grep HWaddr | cut -d' ' -f1)
	  if [ "$IFES" != "" ]; then
	    for IF in $IFES; do
	     ifconfig $IF | grep -q inet && CONNECTED="yes" && break
	    done
	  fi
	  [ "$CONNECTED" != "" ] && break
	  [ $I -eq 1 ] && echo "Waiting IP ready..."
	  sleep 10
	done
	$PROG "$@"
}
stop() {
  for T in $(seq 6); do
	PIDS=$(pidof -o %PPID $PROGBASE) || break
	for I in $PIDS; do
	 kill $I
	done
	sleep 5
  done
  reset_db
  return 0
}
status() {
	FLAG=0
	PIDS=$(pidof -o %PPID $PROGBASE)
	if [ "$PIDS" ]; then
		echo "$PROGBASE is running ... (PID= "$(echo $PIDS|tr ' ' ',')")."
	else
		FLAG=1
		echo "$PROGBASE is not running."
	fi
	if [ ! -x $PROG ]; then
		FLAG=1
		echo "The excutable $PROG not found."
	fi
	if [ ! -f $CONF ]; then
		FLAG=1
		echo "The configuration file $CONF not found."
	fi
	return $FLAG
}

case $1 in
start)
	start
	;;
stop)
	stop
	;;
restart|reload)
	stop && echo "$PROGBASE stopped."
	#sleep 8
	start -R && echo "$PROGBASE restarted."
	sleep 1
	status
	;;
condrestart)
	[ "$(pidof $PROGBASE)" ] || exit 0
	#status
	#[ $? != 0 ] || exit 1
	stop
	sleep 1
	start -R && echo "$PROGBASE restarted."
	;;
status)
	status
	exit $?
	;;
 *)
	echo $"Usage: $0 {start|stop|restart|reload|status|condrestart}"
	exit 1
esac
I have tried this package, as well as each of the others I could find and none of them have worked in Carolina, but all of them have worked in my Saluki frugal install, both with and without my save file. I have now tried this on two different Dell laptops with completely different hardware and got the same results. I am completely dumbfounded by this.

User avatar
Geoffrey
Posts: 2355
Joined: Sun 30 May 2010, 08:42
Location: Queensland

#1159 Post by Geoffrey »

@can8v
I have minidlna working totally in ram no save file, I installed http://smokey01.com/carolina/pet_packag ... static.pet the server is having problems, just right click save Link as.

It's not in the repo as a download yet, I would like to edit the pet and add a few things, this is just to test with if anyone would like to.

I made a the path in /etc/minidlna.conf to my windows partition

Code: Select all

media_dir=/mnt/sda1/Documents and Settings/User/My Documents
then run minidlna in a terminal, to stop the server use LXTask in the menu under system.

If you have a windows pc then windows media player will find the media server.

On a Android device I installed VPlayer uPnP and Vplayer, run VPlayer UPnP it will scan for the server, it uses VPlayer for play back.
Attachments
Screenshot.jpg
(18.18 KiB) Downloaded 726 times
[b]Carolina:[/b] [url=http://smokey01.com/carolina/pages/recent-repo.html]Recent Repository Additions[/url]
[img]https://dl.dropboxusercontent.com/s/ahfade8q4def1lq/signbot.gif[/img]

User avatar
Geoffrey
Posts: 2355
Joined: Sun 30 May 2010, 08:42
Location: Queensland

#1160 Post by Geoffrey »

@can8v
Well I've tested the old minidlna-1.0.24-i486.pet again on a clean boot in ram and it is working fine, I really have no idea why it's not working for you, maybe your version of Carolina is at fault, I'll be retaining this version in the repo, so disregard the other that I posted.
[b]Carolina:[/b] [url=http://smokey01.com/carolina/pages/recent-repo.html]Recent Repository Additions[/url]
[img]https://dl.dropboxusercontent.com/s/ahfade8q4def1lq/signbot.gif[/img]

can8v
Posts: 586
Joined: Sat 15 Jul 2006, 08:20
Location: Yuba City, CA
Contact:

#1161 Post by can8v »

@Geoffrey
Success! I finally figured out what was going on. Despite the md5sum checking out for the iso, something still went wrong. I checked the md5 of the sfs files on the hd against the copies that were on the CDR. they matched. I then used Xfburn to burn another CD and the md5sum of those files also matched, but when i used the new CDR to boot pfix_ram and tried installing the minidlna1.1static package you uploaded, it worked. I then replaced the sfs files on my hd with the files on the new cd and rebooted with my pup_save and it still worked. I have no idea how this could be possible, but very happy that everyting is working. Just to tempt fate I uninstalled and tested some of the older versions and they work as well. I am completely baffled by this, but very happy.

can8v
Posts: 586
Joined: Sat 15 Jul 2006, 08:20
Location: Yuba City, CA
Contact:

MakeMkv

#1162 Post by can8v »

For the last hour I have been trying to install MakeMkv. I seem to be getting nowhere fast with this. I have searched, but haven't found any post of anybody successfully installing MakeMkv in any version of Puppy. Has anybody been about to do this, in Carolina or another Puppy, that my be able to point me in the right directions. I have been trying to adapt some instructions for other distros, to no avail.

User avatar
Geoffrey
Posts: 2355
Joined: Sun 30 May 2010, 08:42
Location: Queensland

Re: MakeMkv

#1163 Post by Geoffrey »

can8v wrote:For the last hour I have been trying to install MakeMkv. I seem to be getting nowhere fast with this. I have searched, but haven't found any post of anybody successfully installing MakeMkv in any version of Puppy. Has anybody been about to do this, in Carolina or another Puppy, that my be able to point me in the right directions. I have been trying to adapt some instructions for other distros, to no avail.
Handbrake from the repo creates mkv files if that's any good for you, I did a quick test, seems ok converting DVD and a Avi I tried.
[b]Carolina:[/b] [url=http://smokey01.com/carolina/pages/recent-repo.html]Recent Repository Additions[/url]
[img]https://dl.dropboxusercontent.com/s/ahfade8q4def1lq/signbot.gif[/img]

can8v
Posts: 586
Joined: Sat 15 Jul 2006, 08:20
Location: Yuba City, CA
Contact:

Re: MakeMkv

#1164 Post by can8v »

Geoffrey wrote:
can8v wrote:For the last hour I have been trying to install MakeMkv. I seem to be getting nowhere fast with this. I have searched, but haven't found any post of anybody successfully installing MakeMkv in any version of Puppy. Has anybody been about to do this, in Carolina or another Puppy, that my be able to point me in the right directions. I have been trying to adapt some instructions for other distros, to no avail.
Handbrake from the repo creates mkv files if that's any good for you, I did a quick test, seems ok converting DVD and a Avi I tried.
Actually it is not the MKV files I am insterested in. I encode my videos to M4V. I need MakeMkv, because I cannot get Handbrake to rip some of the more recent Disney/Pixar DVDs. Also the version of Handbrake in the repository doesn't have the option to manually enter the title you want to rip, it only lets you select a title from a subset of Handbrakes scan results. This is important due to Disney's 99 title scheme designed to confound anyone trying to rip there DVDs. This is easily overcome if you can manually enter the title you want to rip. Unless I am completely missing something there and maybe I am. At any rate in the past my solution was to boot into Windoze and use MakeMkv to handle these movies. Sometimes I can get Thoggen to rip it to OGV and then convert to M4V, but usually I can only make it happen in MakeMkv. Ironically, these are the movies that I have the biggest need to rip. My kids watch them hundreds of times, they are not as careful with the DVD as adults and I can't prove it, but I am convinced that Disney/Pixar DVDs lack any scratch resistant coating at all. I think they may actually put a coating on them to make them scratch more easily (I kid of course). Nevertheless, I have purchased multiple copies of more than one Disney Pixar DVD, because of physical damage to the disc, caused by careless kids. MakeMkv will save me a considerable sum by only having to purchase these DVDs one time.

can8v
Posts: 586
Joined: Sat 15 Jul 2006, 08:20
Location: Yuba City, CA
Contact:

#1165 Post by can8v »

I found this install script on the MakeMkv site and modified it to work in Puppy and it compiles, but I can't get it to start the application. libmakemkv.so.1 is apparently missing.

Code: Select all

#!/bin/sh

cd /tmp/
wget "http://www.makemkv.com/download/"
export curr_version=$(grep -m 1 "MakeMKV v" index.html | sed -e "s/.*MakeMKV v//;s/ (.*//")

echo "Scraped the MakeMKV download page and found the latest version as" ${curr_version}

export bin_zip=makemkv-bin-${curr_version}.tar.gz
export oss_zip=makemkv-oss-${curr_version}.tar.gz
export oss_folder=makemkv-oss-${curr_version}
export bin_folder=makemkv-bin-${curr_version}

wget http://www.makemkv.com/download/$bin_zip
wget http://www.makemkv.com/download/$oss_zip

tar -xzvf $bin_zip
tar -xzvf $oss_zip

cd $oss_folder
./configure
make
sudo new2dir make install

cd ../$bin_folder
make
sudo new2dir make install

cd ..

echo removing downloaded files
rm index.html
rm $bin_zip
rm $oss_zip
rm -rf $oss_folder
rm -rf $bin_folder

can8v
Posts: 586
Joined: Sat 15 Jul 2006, 08:20
Location: Yuba City, CA
Contact:

#1166 Post by can8v »

For those of you that commented that you would like to see XBMC 12.3 in Carolina or are using it in Wine, I would like to know why you think 12.3 is better than 11. I am not sure if I am doing something wrong in configuring my library, but in version 12.3 I don't have the ability categorize by Genre, Actors, Directors, Studio, etc. I have notice some minor improvements, but I really like having that ability to sort my library this way. Am I missing a step or something. I have tried 12.3 in Wine, Mac osX, and Android, with Mac osX being the worst, as I cannot even get any data from TMdb downloaded. So far the best experience overall has been with version 11 in Carolina. If I am missing something by not having 12.3 natively running in Carolina I can see working on that, but from what I can see it doesn't appear that I am missing anything. Am I missing something?

starhawk
Posts: 4906
Joined: Mon 22 Nov 2010, 06:04
Location: Everybody knows this is nowhere...

#1167 Post by starhawk »

I know I've asked this before but I can't remember what the answer was or if I got one (apologies!).

Am I correct in my understanding that Carolina uses the Saluki Kernel, which is basically a slightly tweaked Puppeee/Fluppy Kernel, and therefore won't support Chrome/Chromium above Version 12? FWIW, I'm currently running Upup Raring 3992 and Chromium 31, and I'd really really really not feel right running an old(er) browser. Just silly, I guess.

User avatar
Geoffrey
Posts: 2355
Joined: Sun 30 May 2010, 08:42
Location: Queensland

#1168 Post by Geoffrey »

starhawk wrote:I know I've asked this before but I can't remember what the answer was or if I got one (apologies!).
You have, it will only run the google chrome sfs in the repo.
Am I correct in my understanding that Carolina uses the Saluki Kernel
Yeah, kernel 3.2.13-ski, well Saluki had 3.2.8-ski but that isn't the reason it won't run newer versions of chrome, the glibc is old and Chrome is built using a newer library, but I've been looking at way's to get around that, as was done with Slimboat and Tor Browser, but don't get your hopes up, I'm not that smart :wink:
[b]Carolina:[/b] [url=http://smokey01.com/carolina/pages/recent-repo.html]Recent Repository Additions[/url]
[img]https://dl.dropboxusercontent.com/s/ahfade8q4def1lq/signbot.gif[/img]

can8v
Posts: 586
Joined: Sat 15 Jul 2006, 08:20
Location: Yuba City, CA
Contact:

#1169 Post by can8v »

Geoffrey wrote:
starhawk wrote:I know I've asked this before but I can't remember what the answer was or if I got one (apologies!).
You have, it will only run the google chrome sfs in the repo.
Am I correct in my understanding that Carolina uses the Saluki Kernel
Yeah, kernel 3.2.13-ski, well Saluki had 3.2.8-ski but that isn't the reason it won't run newer versions of chrome, the glibc is old and Chrome is built using a newer library, but I've been looking at way's to get around that, as was done with Slimboat and Tor Browser, but don't get your hopes up, I'm not that smart :wink:
Geoffrey,
I decided to give your SlimBoat sfs a go and all I can say is wow! Thanks for puting that in the repository, this is a great browser. I don't even miss Chrome now.

starhawk
Posts: 4906
Joined: Mon 22 Nov 2010, 06:04
Location: Everybody knows this is nowhere...

#1170 Post by starhawk »

Thanks, Geoff. Between that and PAE (not too useful on a netbook with only 2gb RAM max ;) ), I guess I'll be staying away from Carolina for now :(

Just out of curiosity -- does XFCE allow one to drag&drop / reorder the buttons on the bottom tray (what Windblows users call the "taskbar")...? That's what I'm actually looking for; the Chrome thing was a sort of important digression if you know what I mean.

User avatar
rg66
Posts: 1158
Joined: Mon 23 Jul 2012, 05:53
Location: Vancouver, BC Canada / Entebbe, Uganda Africa!?!

#1171 Post by rg66 »

starhawk wrote:Thanks, Geoff. Between that and PAE (not too useful on a netbook with only 2gb RAM max ;) ), I guess I'll be staying away from Carolina for now :(

Just out of curiosity -- does XFCE allow one to drag&drop / reorder the buttons on the bottom tray (what Windblows users call the "taskbar")...? That's what I'm actually looking for; the Chrome thing was a sort of important digression if you know what I mean.
Geoffrey was playing around with Chrome and the glibc hack, not sure how far he got though. There might be a possibility to run the latest Chrome but don't quote me on that.

Carolina-non-pae and Carolite both use 3.2.13 non-pae kernel

Xfce allows to re-order icons on the panel, just right click one and choose "move" and move your mouse cursor to a new place and left click.
X-slacko-5b1 - X-tahr-2.0 - X-precise-2.4
[url=http://smokey01.com/rg66/]X-series repo[/url]

starhawk
Posts: 4906
Joined: Mon 22 Nov 2010, 06:04
Location: Everybody knows this is nowhere...

#1172 Post by starhawk »

Thanks, rg66!

I'll watch this thread for updates re: the glibc upgrade.

Just curious, has the nonPAE Carolina 1.1 come out yet?

User avatar
rg66
Posts: 1158
Joined: Mon 23 Jul 2012, 05:53
Location: Vancouver, BC Canada / Entebbe, Uganda Africa!?!

#1173 Post by rg66 »

starhawk wrote:Just curious, has the nonPAE Carolina 1.1 come out yet?
Yes, it was released Nov. 23, a week after the pae version. It can be found here: http://smokey01.com/carolina/isos/non-pae/
X-slacko-5b1 - X-tahr-2.0 - X-precise-2.4
[url=http://smokey01.com/rg66/]X-series repo[/url]

starhawk
Posts: 4906
Joined: Mon 22 Nov 2010, 06:04
Location: Everybody knows this is nowhere...

#1174 Post by starhawk »

:oops:

User avatar
Pete22
Posts: 264
Joined: Fri 08 May 2009, 22:59
Location: Utah, USA

crosswire and carolina

#1175 Post by Pete22 »

I am preparing a laptop for my friend. She has one program that needs to
be run with Crosswire. I added the pet python-2.6.4+wx. This allowed
crosswire to start. However, it will not install because it is running as root.
What can I do to fix this?


Pete

Post Reply